# class KAutoUnmount | This class implements synchronous unmounting of devices,. More...
Definition | `#include <kautomount.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAutoUnmount ( const QString & mountpoint, const QString & desktopFile )

#### Protected Slots

- void slotResult ( KIO::Job * )

## Detailed Description

This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO::special() call for unmount, used by KMimeType.

KAutoUnmount ( const QString & mountpoint, const QString & desktopFile ) | ### KAutoUnmount

Unmount a device

Parameters:

mountpoint | the mount point - KAutoUnmount finds the device from that
desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)

void slotResult ( KIO::Job * ) | ### slotResult

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.